uses
  Timer,
  Crt;
var
  Tm:tTimer;
begin
  ClrScr;
  with Tm do
  begin
    Writeln('Cekam 1000 ms za pomoci SaveTime a TstTime');
    SaveTime; {Nastav aktualni cas}
    repeat;
      Writeln('Uplynulo ',ReadTime,' milisekund.'); {Cte pocet milisekund,
                                                     ktere ubehly od
                                                     posledniho nastaveni
                                                    }
      Delay(200);
    until TstTime(1000); {Testuje, zdali ubehlo jiz 1000 ms.}
    Writeln;
    Writeln('Cekam 1000 ms za pomoci SetCount a TstCount');
    SetCount(1000); {Nastavi dobu na 1000 ms}
    repeat;
      Writeln('Zbyva ',ReadCount,' milisekund.'); {Cte pocet milisekund,
                                                   ktere zbyvaji do
                                                   uplynuti nastaveneho
                                                   casu v procedure
                                                   SetCount.
                                                  }
      Delay(200);
    until TstCount; {Testuje, zdali doba nastavena v SetCount jiz ubehla.}
  end;
end.